# Uses of Interface
org.eclipse.ui.IPartListener2

Packages that use IPartListener2
Package
Description
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of IPartListener2 in org.eclipse.ui

Methods in org.eclipse.ui with parameters of type IPartListener2
Modifier and Type
Method
Description
`void`
IPartService.`addPartListener(IPartListener2 listener)`
Adds the given listener for part lifecycle events.
`void`
IPartService.`removePartListener(IPartListener2 listener)`
Removes the given part listener.